## org.eclipse.datatools.sqltools.debugger.model
Class SPWatchExpressionDelegate

    java.lang.Object
      org.eclipse.datatools.sqltools.debugger.model.SPWatchExpressionDelegate

public class SPWatchExpressionDelegate
extends java.lang.Object

A delegate which computes the value of a SQL watch expression when provided a context.

Author:
  Yang Liu

Constructor Summary
`SPWatchExpressionDelegate()`

Method Summary
`void` `evaluateExpression(java.lang.String expression, IDebugElement context, IWatchExpressionListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPWatchExpressionDelegate

    public SPWatchExpressionDelegate()

Method Detail

### evaluateExpression

    public void evaluateExpression(java.lang.String expression,
                                   IDebugElement context,
                                   IWatchExpressionListener listener)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.